Subject: Re: bug: net: dsa: mv88e6xxx: serdes Unable to communicate on fiber with vf610-zii-dev-rev-c

From: Andrew Lunn <[email-masked]>
Date: Mon, 18 Jan 2021 20:26:12 +0100

> >> I am seeing the exact same issue. I have tried both a 1000base-x SFP and
> >> a copper 1000base-T and get the same result on both - transmit is fine
> >> but rx only works up to the SERDES, no rx MAC counters are moving.
> >
> > Hi Tobias
> >
> > We never tracked this down. I spent many hours bashing my head against
> > this. I could not bisect it, which did not help.
> 
> Well that is disheartening :) "I could not bisect it", does that mean
> that it did work at some point but your CPU platform was not supported
> far enough back, or has it never worked?

As far as i remember, Ports 9 and 10 did work once. I suspect it could
of been early on, before we had much support for the SERDES, it relied
on the strapping being correct, and the switch powering up in the
right mode.

We also do a dance with the cmode of ports 9 and 10, dropping them
down to slower speeds making the SERDES available for the other ports
and then changing the cmode again if the port is supposed to use a
higher speed and needs multiple SERDESes.

The board which had trouble and i was debugging on only has limited
support, not going back too far. I would probably need to reproduce
the issue on different hardware to have more scope for going backwards
and trying to find a setup where ports 9 or 10 did work, as a basis
for a bisect.

    Andrew